# Get a payment link by ID

`GET https://app.shuttleglobal.com/c/api/instances/{instance_key}/payment_links/{id}`

## Authentication

- basicAuth: Basic Authentication using secret key
- bearerAuth: OAuth 2.0 Bearer Token Authentication

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `id` | path | string | yes | The payment link's ID (`pl_...`). |
| `expand` | query | string | no |  |

## Responses

### 200: Payment link details

```json
{
  "payment_link": {
    "id": "string",
    "account": "string",
    "charge": "string",
    "client": "string",
    "contract": "string",
    "expires": "2026-01-01T12:00:00Z",
    "nonce": "string",
    "options": {
      "account": "string",
      "action": "PAYMENT",
      "allow_comment": true,
      "amount": "18.18",
      "comment": "string",
      "currency": "USD",
      "default_amount": "100.00",
      "default_comment": "string",
      "default_reference": "string",
      "name": "string",
      "page_intro": "string",
      "page_pending_message": "string",
      "page_success_message": "string",
      "pending_url": "https://example.com",
      "reference": "string",
      "source": "ECOMMERCE",
      "channel": "string",
      "force_add": true,
      "timezone": "string",
      "success_url": "https://example.com"
    },
    "payment_method": "string",
    "payment": "string",
    "state": {},
    "status": "ACTIVE",
    "transaction": "string",
    "url": "https://app.shuttleglobal.com/cp/link/{id}",
    "v": 1
  }
}
```

### 401: Authentication required

```json
{
  "code": "UNAUTHORIZED",
  "message": "Unauthorised"
}
```

### 404: Resource not found

```json
{
  "code": "string",
  "message": "string"
}
```

### 500: Internal server error

```json
{
  "error": {
    "type": "string",
    "message": "string"
  }
}
```

## Example request

```sh
curl --request GET \
  --url https://app.shuttleglobal.com/c/api/instances/YOUR_INSTANCE_KEY/payment_links/ID \
  --header 'Authorization: Basic <base64 of SECRET_KEY:>'
```

Reference page: https://docs.shuttleglobal.com/merchants/reference/operations/getpaymentlink/